Up

# NSHTTPCookieStorage class documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2006 Software Foundation, Inc.

# Software documentation for the NSHTTPCookieStorage class

## NSHTTPCookieStorage : NSObject

> Declared in:
>   Foundation/NSHTTPCookieStorage.h

Availability: MacOS-X 10.2.0, Base 1.13.0
The NSHTTPCookieStorage class provides a shared instance which handles the shared cookie store.
Method summary

- +sharedHTTPCookieStorage
- -cookieAcceptPolicy
- -cookies
- -cookiesForURL:
- -deleteCookie:
- -setCookie:
- -setCookieAcceptPolicy:
- -setCookies:forURL:mainDocumentURL:

### sharedHTTPCookieStorage

+ (NSHTTPCookieStorage*) sharedHTTPCookieStorage;
Availability: MacOS-X 10.2.0, Base 1.13.0
Returns the shared instance.

### cookieAcceptPolicy

- (NSHTTPCookieAcceptPolicy) cookieAcceptPolicy;
Availability: MacOS-X 10.2.0, Base 1.13.0
Returns the current cookie accept policy.

### cookies

- (NSArray*) cookies;
Availability: MacOS-X 10.2.0, Base 1.13.0
Returns an array of all managed cookies.

### cookiesForURL:

- (NSArray*) cookiesForURL: (NSURL*)URL;
Availability: MacOS-X 10.2.0, Base 1.13.0
Returns an array of all known cookies to send to URL.

### deleteCookie:

- (void) deleteCookie: (NSHTTPCookie*)cookie;
Availability: MacOS-X 10.2.0, Base 1.13.0
Deletes cookie from the shared store.

### setCookie:

- (void) setCookie: (NSHTTPCookie*)cookie;
Availability: MacOS-X 10.2.0, Base 1.13.0
Sets a cookie in the store, replacing any existing cookie with the same name, domain and path.

### setCookieAcceptPolicy:

- (void) setCookieAcceptPolicy: (NSHTTPCookieAcceptPolicy)cookieAcceptPolicy;
Availability: MacOS-X 10.2.0, Base 1.13.0
Sets the current cookie accept policy.

### setCookies: forURL: mainDocumentURL:

- (void) setCookies: (NSArray*)cookies forURL: (NSURL*)URL mainDocumentURL: (NSURL*)mainDocumentURL;
Availability: MacOS-X 10.2.0, Base 1.13.0
Adds to the shared store following the policy for NSHTTPCookieAcceptPolicyOnlyFromMainDocumentDomain

Up